Loading...
Searching...
No Matches
std::less< lomiri::util::ResourcePtr< R, D > > Struct Template Reference

Function object for less than comparison. More...

`#include <lomiri/util/ResourcePtr.h>`

## Public Member Functions

bool | operator() (lomiri::util::ResourcePtr< R, D > const &lhs, lomiri::util::ResourcePtr< R, D > const &rhs) const

## Detailed Description

template<typename R, typename D>
struct std::less< lomiri::util::ResourcePtr< R, D > >

Function object for less than comparison.

## Member Function Documentation

## operator()()

template<typename R, typename D>

bool std::less< lomiri::util::ResourcePtr< R, D > >::operator() | ( | lomiri::util::ResourcePtr< R, D > const & | lhs,
|  | lomiri::util::ResourcePtr< R, D > const & | rhs ) const

inline

Invokes `operator<` on `lhs`.

The documentation for this struct was generated from the following file:

- include/lomiri/util/ResourcePtr.h